Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/input/serio/i8042-x86ia64io.h |   16 ++++++++++------
 1 files changed, 10 insertions(+), 6 deletions(-)

diff -puN drivers/input/serio/i8042-x86ia64io.h~input-i8042-fix-irq-printk.diff drivers/input/serio/i8042-x86ia64io.h
--- devel/drivers/input/serio/i8042-x86ia64io.h~input-i8042-fix-irq-printk.diff	2005-08-21 23:47:35.000000000 -0700
+++ devel-akpm/drivers/input/serio/i8042-x86ia64io.h	2005-08-21 23:47:35.000000000 -0700
@@ -295,12 +295,12 @@ static int i8042_pnp_init(void)
 	}
 
 	if (!i8042_pnp_kbd_irq) {
-		printk(KERN_WARNING "PNP: PS/2 controller doesn't have KBD irq; using default %#x\n", i8042_kbd_irq);
+		printk(KERN_WARNING "PNP: PS/2 controller doesn't have KBD irq; using default %d\n", i8042_kbd_irq);
 		i8042_pnp_kbd_irq = i8042_kbd_irq;
 	}
 
 	if (!i8042_pnp_aux_irq) {
-		printk(KERN_WARNING "PNP: PS/2 controller doesn't have AUX irq; using default %#x\n", i8042_aux_irq);
+		printk(KERN_WARNING "PNP: PS/2 controller doesn't have AUX irq; using default %d\n", i8042_aux_irq);
 		i8042_pnp_aux_irq = i8042_aux_irq;
 	}
 
@@ -314,10 +314,14 @@ static int i8042_pnp_init(void)
 	i8042_kbd_irq = i8042_pnp_kbd_irq;
 	i8042_aux_irq = i8042_pnp_aux_irq;
 
-	printk(KERN_INFO "PNP: PS/2 Controller [%s%s%s] at %#x,%#x irq %d%s%d\n",
-		i8042_pnp_kbd_name, (result_kbd > 0 && result_aux > 0) ? "," : "", i8042_pnp_aux_name,
-		i8042_data_reg, i8042_command_reg, i8042_kbd_irq,
-		(result_aux > 0) ? "," : "", i8042_aux_irq);
+	printk(KERN_INFO "PNP: PS/2 Controller [%s%s%s] at %#x,%#x irq %d",
+		i8042_pnp_kbd_name,
+		(result_kbd > 0 && result_aux > 0) ? "," : "",
+		i8042_pnp_aux_name,
+		i8042_data_reg, i8042_command_reg, i8042_kbd_irq);
+	if (!i8042_noaux)
+		printk(",%d", i8042_aux_irq);
+	printk("\n");
 
 	return 0;
 }
_
